import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import java.awt.image.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.imageio.*;

public class JNoteButton extends JMenuButton 
						 implements ActionListener {

	Image[] bildchen = new Image[9];
	
	private int bild, lastbild;
	private boolean newbild;

	public JNoteButton() {
		super("notes/ganze");
		
		try {
			bildchen[0] = ImageIO.read(getClass().getResource("/pics/notes/ganze.png"));
			bildchen[1] = ImageIO.read(getClass().getResource("/pics/notes/halbe.png"));
			bildchen[2] = ImageIO.read(getClass().getResource("/pics/notes/halbe_u.png"));
			bildchen[3] = ImageIO.read(getClass().getResource("/pics/notes/viertel.png"));
			bildchen[4] = ImageIO.read(getClass().getResource("/pics/notes/viertel_u.png"));
			bildchen[5] = ImageIO.read(getClass().getResource("/pics/notes/achtel.png"));
			bildchen[6] = ImageIO.read(getClass().getResource("/pics/notes/achtel_u.png"));
			bildchen[7] = ImageIO.read(getClass().getResource("/pics/notes/sechzehntel.png"));
			bildchen[8] = ImageIO.read(getClass().getResource("/pics/notes/sechzehntel_u.png"));
		} catch(IOException e) { e.printStackTrace();	}

		bild = 0;
		lastbild=8;
		addActionListener(this);
		addChangeListener(this);

		newbild = false;
	
	}
	
	public void actionPerformed (ActionEvent event) {
		
		if (newbild) {
			if ( bild == lastbild ) { bild = 0; } else { bild++; }
			setIcon(new ImageIcon(bildchen[bild]));
		} else { newbild = true; }
		
		System.out.println(bild);
	}
	
	public void setNew() { newbild = false; }

	public int getValue() { return bild; }
	
}
