import javax.swing.*;		// ein Haufen fertiger JAVA-Bibliotheken
import java.awt.*;			// für die GUI-Programmierung
import java.awt.event.*;	// inkl. Steuerung und Aktionen

public class JFixFrameDemo 
  extends JFixFrame
  implements ActionListener {

JLabel  Text;
JButton Button1;
JMenuButton Button2, Button3, Button4;

public JFixFrameDemo() {
	super("Titel im Fenstertitel 8-)",400,200); // der Rahmen...,

	Text = new JLabel("Hello, world!");		// einfaches Textfeld
	addAt(50,50, Text);						// positionieren...
	
	Button1 = new JButton("Drück mich!");
	Button1.addActionListener(this);	
	addAt(50,150, Button1);				

	ButtonGroup gruppe = new ButtonGroup();
	
	Button2 = new JMenuButton("pencil");
	addAt(250,150, Button2);				

	Button3 = new JMenuButton("highlighter"); Button3.setBorder( null );
	addAt(290,150, Button3);				

	Button4 = new JMenuButton("eraser");
	addAt(330,150, Button4);				
	
	gruppe.add(Button2);
	gruppe.add(Button3);
	gruppe.add(Button4);
	
}

// Diese Methode muss zur Steuerung genau so aussehen:

public void actionPerformed (ActionEvent event){
        // Die Quelle wird mit getSource() abgefragt und mit dem
        // Button abgeglichen. Wenn die Quelle des ActionEvents der
        // Button ist, wird der Text des JLabels entsprechend geändert
        // und die Größe des Textfeldes angepasst:

        if (event.getSource() == this.Button1) {
            Text.setText(("Aua! Du hast den doofen Button gedrückt!"));
            Text.setSize(Text.getPreferredSize().width,Text.getPreferredSize().height);
        }

} // end of actionPerformed

    
public static void main(String[] args){
	JFixFrameDemo frame = new JFixFrameDemo();
} // end of main


} // end of class JFixFrameDemo
