import java.io.*;
import java.awt.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import java.awt.image.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.imageio.*;

public class JMenuButton extends JToggleButton implements ChangeListener {

	protected static Border bpressed = new BevelBorder(BevelBorder.LOWERED);
	protected static Color  cpressed = new Color(196,194,189);
	protected static Dimension groesse = new Dimension(36,36);

	public JMenuButton(String name) {
		super("");
		try {
			Image image = ImageIO.read(getClass().getResource("/pics/"+name+".png"));
			setIcon(new ImageIcon(image));
			setPreferredSize(groesse);
			setMinimumSize(groesse);
			setMaximumSize(groesse);
			setSize(groesse);
			setBackground(cpressed);
			setBorder( null );
			setOpaque(false);
			setContentAreaFilled(false);
			setFocusPainted(false);
			setAlignmentX(JButton.CENTER);
			addChangeListener(this);
		} catch(IOException e) { e.printStackTrace();	}
	}

	public Dimension getMinimumSize() {
		Dimension size = getPreferredSize();
		return size;
	}

	public void stateChanged (ChangeEvent event){
	
		if ( isSelected() ) {
			setBorder( bpressed );
			setOpaque(true);
		} else {
			setBorder( null );
			setOpaque(false);

			if ( this instanceof JNoteButton ) {
				JNoteButton evtBtn = (JNoteButton)this;
				evtBtn.setNew();
			}

			if ( this instanceof JMusicButton ) {
				JMusicButton evtBtn = (JMusicButton)this;
				evtBtn.setNew();
			}

		}
		
	}
	
}
