import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import java.awt.image.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.imageio.*;

public class JMusicButton extends JMenuButton 
						 implements ActionListener {

	Image[] bildchen = new Image[11];
	
	private int bild, lastbild;
	private boolean newbild;

	public JMusicButton() {
		super("notes/violinschluessel");
		
		try {
			bildchen[0] = ImageIO.read(getClass().getResource("/pics/notes/violinschluessel.png"));
			bildchen[1] = ImageIO.read(getClass().getResource("/pics/notes/bassschluessel.png"));
			bildchen[2] = ImageIO.read(getClass().getResource("/pics/notes/b_zeichen.png"));
			bildchen[3] = ImageIO.read(getClass().getResource("/pics/notes/kreuz_zeichen.png"));
			bildchen[4] = ImageIO.read(getClass().getResource("/pics/notes/aufloesungszeichen.png"));
			bildchen[5] = ImageIO.read(getClass().getResource("/pics/notes/repeat_a.png"));
			bildchen[6] = ImageIO.read(getClass().getResource("/pics/notes/repeat_b.png"));
			bildchen[7] = ImageIO.read(getClass().getResource("/pics/notes/halbe_pause.png"));
			bildchen[8] = ImageIO.read(getClass().getResource("/pics/notes/viertel_pause.png"));
			bildchen[9] = ImageIO.read(getClass().getResource("/pics/notes/achtel_pause.png"));
			bildchen[10] = ImageIO.read(getClass().getResource("/pics/notes/sechzehntel_pause.png"));
		} catch(IOException e) { e.printStackTrace();	}

		bild = 0;
		lastbild=10;
		addActionListener(this);
		addChangeListener(this);

		newbild = false;
	
	}
	
	public void actionPerformed (ActionEvent event) {
		
		if (newbild) {
			if ( bild == lastbild ) { bild = 0; } else { bild++; }
			setIcon(new ImageIcon(bildchen[bild]));
		} else { newbild = true; }
		
		System.out.println(bild);
	}
	
	public void setNew() { newbild = false; }

	public int getValue() { return bild; }
	
}
